tumbleweed dup wants to downgrade packages

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

tumbleweed dup wants to downgrade packages

Sunny_bg
Hi,
I have been using Tumbleweed for months now, but I haven't updated in
the last few weeks.

Today, after zypper ref, zypper dup --from Tumbleweed, besides all the
packages which need upgrade, and few changing vendor to Tumbleweed, 89
were marked for downgrade??? It shows 143 packages to upgrade.

at the same time zypper up shows 168 packages to upgrade - much more
than tumbleweed.

Is this normal?

--
Svetoslav Milenov (Sunny)

Artificial Intelligence is no match for natural stupidity.
--
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: tumbleweed dup wants to downgrade packages

Brian K. White
On 8/4/2011 9:38 AM, Sunny wrote:

> Hi,
> I have been using Tumbleweed for months now, but I haven't updated in
> the last few weeks.
>
> Today, after zypper ref, zypper dup --from Tumbleweed, besides all the
> packages which need upgrade, and few changing vendor to Tumbleweed, 89
> were marked for downgrade??? It shows 143 packages to upgrade.
>
> at the same time zypper up shows 168 packages to upgrade - much more
> than tumbleweed.
>
> Is this normal?
>

Tumbleweed should not be thought of as a good idea for the average user.
It's essentially a whole distinct distribution, with only one guy
spending a fraction of his free time maintaining it. There are a world
of issues that will need addressing that aren't. It's essentially a
"throw the spaghetti against the wall and see what sticks" initial step
towards a rolling version of opensuse. If you want the end result you
have to start somewhere so in that context that's fine. In that context,
yes, any weirdness is absolutely to be expected.

--
bkw
--
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: tumbleweed dup wants to downgrade packages

Rajko M.
In reply to this post by Sunny_bg
On Thursday, August 04, 2011 08:38:16 AM Sunny wrote:

> zypper dup --from Tumbleweed

If you use Tumbleweed, you can add Tumbleweed on Packman for multimedia, which
is not supported, but it should not make problems. Any other repo in that mix
is call for trouble.

Then "zypper dup" without "--from Tumbleweed" should give you correct update.
I don't know how that compares with "zypper up" that is looking for updated
packages in any configured repo, but will not switch between vendors.

Also, better place to ask about Tumbleweed is opensuse-factory as its
maintainer is subscribed only to that list only.

--
Regards,
Rajko
--
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]